summaryrefslogtreecommitdiffstats
path: root/bin/reprepro_foreign.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-05-09 04:21:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-05-09 04:21:55 +0000
commit453cc058d9ee6d7cb47529d99061216e72149a5f (patch)
tree38e3683d9cb52c2f181d65ba513554a5e1387f20 /bin/reprepro_foreign.sh
parentInitial commit. (diff)
downloadprogress-linux-tools-453cc058d9ee6d7cb47529d99061216e72149a5f.tar.xz
progress-linux-tools-453cc058d9ee6d7cb47529d99061216e72149a5f.zip
Adding bin.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'bin/reprepro_foreign.sh')
-rwxr-xr-xbin/reprepro_foreign.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/reprepro_foreign.sh b/bin/reprepro_foreign.sh
new file mode 100755
index 0000000..006c54b
--- /dev/null
+++ b/bin/reprepro_foreign.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+ARCHITECTURES="${@}"
+
+if [ -z "${ARCHITECTURES}" ]
+then
+ ARCHITECTURES="arm64 armel armhf"
+fi
+
+for ARCHITECTURE in ${ARCHITECTURES}
+do
+ for DIRECTORY in */*_amd64
+ do
+ DIRECTORY="$(echo ${DIRECTORY} | sed -e "s|amd64|${ARCHITECTURE}|")"
+
+ if [ ! -e "${DIRECTORY}" ]
+ then
+ echo "${DIRECTORY}"
+ fi
+ done | grep -Ev '(current_|firefox|libreoffice|thunderbird)'
+done